Skip to main content
ExLibris
  • Subscribe by RSS
  • Ex Libris Knowledge Center

    Upgrade Express: Check Upgrade Environment: "wrong ELF class ..."

    • Article Type: General
    • Product: Aleph
    • Product Version: 18.01

    Problem Symptoms:
    In ALEPH 18 Upgrade Express: Check Upgrade Environment: I get "The IO::ALL module is missing in the perl package" and " wrong ELF class: ELFCLASS64". See below.

    Check Upgrade Environment
    =========================
    install_driver(Oracle) failed: Can't load
    '/waleph/aleph/a18_1/product/perl-5.8.7/lib/site_perl/5.8.7
    /sun4-solaris/auto/DBD/Oracle/Oracle.so' for module DBD::Oracle: ld.so.1:
    perl: fatal: /app/oracle/product/102/lib/libclntsh.so.10.1: wrong ELF
    class: ELFCLASS64 at /waleph/aleph/a18_1/product/perl-5.8.7/lib/5.8.7
    /sun4-solaris/DynaLoader.pm line 230.
    at (eval 1) line 3
    Compilation failed in require at (eval 1) line 3.
    Perhaps a required shared library or dll isn't installed where expected at ./source/proc/listner.pl line 12


    The IO::All module is not installed - you cannot run the kit Cannot connect to the data base:

    ld.so.1: rts32: fatal: /app/oracle/product/102/lib/libclntsh.so.10.1: wrong ELF class: ELFCLASS64
    ld.so.1: rts32: fatal: /app/oracle/product/102/lib/libclntsh.so.10.1: wrong ELF class: ELFCLASS64
    ld.so.1: rts32: fatal: /app/oracle/product/102/lib/libclntsh.so.10.1: wrong ELF class: ELFCLASS64
    ld.so.1: rts32: fatal: /app/oracle/product/102/lib/libclntsh.so.10.1: wrong ELF class: ELFCLASS64
    ld.so.1: rts32: fatal: /app/oracle/product/102/lib/libclntsh.so.10.1: wrong ELF class: ELFCLASS64
    ld.so.1: rts32: fatal: /app/oracle/product/102/lib/libclntsh.so.10.1: wrong ELF class: ELFCLASS64
    ld.so.1: rts32: fatal: /app/oracle/product/102/lib/libclntsh.so.10.1: wrong ELF class: ELFCLASS64

    Cause:


    Resolution:
    Change the Oracle path from

    /app/oracle/product/102/lib/libclntsh.so.10.1

    to

    /app/oracle/product/102/lib32/libclntsh.so.10.1

    solves the "wrong ELF class" problem.

    Category: Installation & Upgrades (500)

    Subject: Upgrade Express (500)


    • Article last edited: 10/8/2013
    //Feedback